﻿using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Data;

namespace Ticket_228088_ObsoleteRecords
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            this.myGrid.ItemsSource = Club.GetClubs();
            this.myGrid.TableDefinition.ChildTableDefinitions.Add(
                new GridViewTableDefinition
                    {
                        Relation = new PropertyRelation("Players")
                    });

            this.myGrid.DataLoaded += this.OnClubsGridDataLoaded;

        }

        void OnClubsGridDataLoaded(object sender, System.EventArgs e)
        {
            if (myGrid.Records.Count > 0)
            {
                DataRecord dataRecord = new DataRecord();
                dataRecord = (DataRecord)myGrid.Records[0];
                myGrid.SelectedItem = dataRecord.Data;
            }
            
            if (myGrid.Records.Count > 0)
            {
                if (myGrid.Records[0] is ExpandableDataRecord)
                {
                    ((ExpandableDataRecord)myGrid.Records[0]).IsExpanded = true;
                }
            }
        }
    }
}